List Customer Addresses

Deprecated

Returns a list of Customer Addresses. Returns the addresses belonging to a customer. Default sorting is by address id, from lowest to highest. The maximum limit is 250. If a limit isn’t provided, up to 50 customer_addresses are returned by default.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

customer_idstringRequired

Query parameters

pagedoubleOptional
Number of pages.
limitdoubleOptional
Count per page.

Response

citystring

The customer’s city/town/suburb.

countrystring

The customer’s country. Must be the full country name.

first_namestring

The customer’s first name.

last_namestring

The customer’s last name.

phonestring

The customer’s phone number.

statestring

The customer’s state/province. Do not abbreviate the state; spell out the entire word. For example, California. (Cannot be null. As a workaround for addresses that include no state/province string, pass a space as the “state” value.)

street_1string

The customer’s street address, line 1.

zipstring

The customer’s ZIP or postal code.

address_typeenum
Allowed values:
companystring

The customer’s company name.

country_iso2stringRead-only

2-letter ISO Alpha-2 code for the customer’s country. Read-Only.

customer_idinteger
ID of the associated customer.
idintegerRead-only

ID of this customer address. Read-Only.

street_2string

The customer’s street address, line 2.